package markup;

/**
 * @author Nikita Doschennikov (me@fymio.us)
 */
public class Text implements PartOfParagraph {

    private final String text;

    public Text(String text) {
        this.text = text;
    }

    @Override
    public void toHtml(StringBuilder sb) {
        sb.append(text);
    }

    @Override
    public void toMarkdown(StringBuilder sb) {
        sb.append(text);
    }

    public void toTex(StringBuilder sb) {
        sb.append(text);
    }
}
